Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225351 - system-config-printer sees the windows workgroup, but not the machine or printer to share
Summary: system-config-printer sees the windows workgroup, but not the machine or prin...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: 6
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F8Blocker
TreeView+ depends on / blocked
 
Reported: 2007-01-30 01:30 UTC by Luis Felipe Marzagao
Modified: 2008-08-02 23:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-09-21 16:19:52 UTC


Attachments (Terms of Use)
prevent traceback (deleted)
2007-04-01 09:15 UTC, Jani Monoses
no flags Details | Diff
pysmb.py (deleted)
2007-09-03 16:59 UTC, Tim Waugh
no flags Details

Description Luis Felipe Marzagao 2007-01-30 01:30:27 UTC
Description of problem:

The utility is able to see the windows workgropus on LAN, but when you click to
expand one workgroup, in order to see the machines in it and the subsequent
printers shared, it doesn't show anything. It's not possible to add the printer
in FC6.


Version-Release number of selected component (if applicable):

system-config-printer.i386               0.7.49-1.fc6           installed       
system-config-printer-libs.i386          0.7.49-1.fc6           installed

How reproducible:

Just try to add a windows xp shared printer in FC6 through system-config-network.

Steps to Reproduce:
1. Install a printer in Windows XP. Share it with right-click.
2. Open system-config-printer in FC6 and try to add the shared printer.
  
Actual results:

Nothing happens. The printer won't show or open or install.

You get, in the terminal, this message at the exact moment you double click the
workgroup name listed below "share" in the box (when selected Windows printer
via SAMBA").

[root@localhost ~]# system-config-printer 
Traceback (most recent call last):
  File "/usr/share/system-config-printer/system-config-printer.py", line 2031,
in on_tvSMBBrowser_cursor_changed
    domain_iter = store.iter_parent (parent_iter)
TypeError: child should be a GtkTreeIter


Expected results:

Be able to see the machine under the windows workgroup name, by clicking on it,
and then the printer shared under it. And then be able to install it in FC6.

PS: I have a VM in my FC6 box, with Windows XP, and it's able to see and use the
shared printer I would like to add in FC6. That certifies the share is ok.


Additional info:

When I do a smbclient -L=//ip I get:

[duli@localhost ~]$ smbclient -L=//192.168.0.202
Password: 
Domain=[RONALDO] OS=[Windows 5.1] Server=[Windows 2000 LAN Manager]

        Sharename       Type      Comment
        ---------       ----      -------
        IPC$            IPC       IPC remoto
        print$          Disk      Drivers de impressora
        HP1000          Printer   hp LaserJet 1000
        ADMIN$          Disk      Administração remota
        C$              Disk      Recurso compartilhado padrão
        shared          Disk      
session request to 192.168.0.202 failed (Called name not present)
session request to 192 failed (Called name not present)
Domain=[RONALDO] OS=[Windows 5.1] Server=[Windows 2000 LAN Manager]

        Server               Comment

        ---------            -------

        Workgroup            Master
        ---------            -------


ps: The share is visible: "HP1000 Printer hp LaserJet 1000".

Comment 1 Luis Felipe Marzagao 2007-01-30 01:33:08 UTC
ps: the windows machine that has the shared printer is not in a domain. The
share was made just by a right-click on the printer.

Comment 2 Jani Monoses 2007-03-21 23:41:24 UTC
What is the output of running /usr/share/system-config-printer/pysmb.py


Comment 3 Luis Felipe Marzagao 2007-03-22 01:29:22 UTC
This is the output:

[duli@fc6 ~]$ /usr/share/system-config-printer/pysmb.py
{'IP': '192.168.0.202', 'DOMAIN': 'HOMENET'}

Comment 4 Jani Monoses 2007-04-01 09:15:14 UTC
Created attachment 151378 [details]
prevent traceback

This does not dolve detection of printers, but prevents a traceback happening
by not assuming that a cursor change event always happens on a printer share.
The traceback can be reporduced by browsing a host with shares but no printers
aming them. Interestingly I get the traceback but the app does not crash as
with the other reporters.

Comment 5 Tim Waugh 2007-04-02 16:46:56 UTC
Thanks.  I've applied that patch in CVS.

Comment 6 Simon 2007-08-23 12:57:35 UTC
I am having exactly the same problem, although I am using Fedora 7. All software
is fully up to date. I do not get te traceback as I assume my version of
system-config-printer has the above patch.

output of pysmb.py is

{'IP': '192.168.11.5', 'DOMAIN': 'SLT'}

The ip is of another computer on the network, though not the one with the
printer I want to add.

Comment 7 Tim Waugh 2007-09-03 16:59:13 UTC
Created attachment 185341 [details]
pysmb.py

Please try this pysmb.py -- just run 'python pysmb.py' and tell me what output
you get.


Note You need to log in before you can comment on or make changes to this bug.